#!/bin/bash

# created by WIBOON 2556-04-13
# updated by WIBOON 2556-06-27

sudo apt-get -y install vsftpd
sudo groupadd ftpadmin
PREVUSER=$(grep "1000:.*/home" /etc/passwd | cut -d: -f1)
sudo gpasswd -a ${PREVUSER} ftpadmin
sudo mkdir -p /srv/ftp/pub  
sudo mkdir -p /sftp/ftp/pub
sudo mkdir -p /var/www/pub  
sudo chgrp -R ftpadmin /sftp/ftp/pub
sudo chmod -R g+rws,o+rx /sftp/ftp/pub
MYINSTALL="mount -R /sftp"
MYFILE="/etc/rc.local"
if [ -z "$(grep "${MYINSTALL}" ${MYFILE})" ] ; then
  sudo mount -R /sftp/ftp/pub  /srv/ftp/pub
  sudo mount -R /sftp/ftp/pub  /var/www/pub
  sudo sed   -i '/^exit/i\mount -R /sftp/ftp/pub /srv/ftp/pub' ${MYFILE} 
  sudo sed   -i '/^exit/i\mount -R /sftp/ftp/pub /var/www/pub' ${MYFILE} 
fi
MYINSTALL="#PSU-netdrive-2556-06-27"
MYFILE="/etc/vsftpd.conf"
if [ -z "$(grep "${MYINSTALL}" ${MYFILE})" ] ; then
  echo "${MYINSTALL}" | sudo tee -a ${MYFILE}
  (echo 'anonymous_enable=YES
local_enable=YES
user_sub_token=$USER
local_root=/sftp/home/$USER
chroot_local_user=YES
chroot_list_enable=YES
chroot_list_file=/etc/vsftpd.chroot_list') | sudo tee -a ${MYFILE}
  echo "${PREVUSER}" | sudo tee /etc/vsftpd.chroot_list
fi

